%define name pyPgSQL
%define version 2.4
%define release %mkrel 5

#  automatically set GCC flags based on version
%define cflags -std=c99 %optflags

Summary: A Python DB-API 2.0 compliant interface to PostgreSQL
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://telia.dl.sourceforge.net/sourceforge/pypgsql/%name-%{version}.tar.bz2
Patch: pypgsql-2.3-mdk.patch
License: BSD
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: http://pypgsql.sourceforge.net/
Requires: egenix-mx-base
%py_requires -d
BuildRequires: postgresql-devel
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes:  	%name < %version

%description
pyPgSQL is a package of two modules that provide a Python DB-API 2.0
compliant interface to PostgreSQL databases. The first module, libpq,
exports the PostgreSQL C API to Python. This module is written in C and
can be compiled into Python or can be dynamically loaded on demand. The
second module, PgSQL, provides the DB-API 2.0 compliant interface and
support for various PostgreSQL data types, such as INT8, NUMERIC, MONEY,
BOOL, ARRAYS, etc. This module is written in Python.

%prep
%setup -q -n pypgsql

%patch -p1

%build
env CFLAGS="%{cflags}" /usr/bin/python setup.py build

#  change the path in the test/examples
find test examples -type f | while read file
do
   echo "Fixing path in $file"
   sed -i 's|^#!.*|#!/usr/bin/env python|' $file
done

%install
# remove CVS files
find . -type d -name CVS | xargs rm -rf

%_bindir/python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README Announce ChangeLog
%doc examples test
%_libdir/python%pyver/site-packages/%{name}
%_libdir/python%pyver/site-packages/*-info


%changelog
* Wed Aug 14 2013 billybot <billybot>
- update

* Fri Sep 03 2010 Texstar <texstar at gmail.com>2.4-4pclos2010
- rebuild for python 2.6.6

* Mon Dec 28 2009 Texstar <texstar at gmail.com> 2.4-3pclos2010
- gccu update
- rebuild

